Zu Hauptinhalt wechseln

Dieser Browser wird nicht mehr unterstützt.

Führen Sie ein Upgrade auf Microsoft Edge durch, um die neuesten Features, Sicherheitsupdates und den technischen Support zu nutzen.

Microsoft Edge herunterladen Weitere Informationen zu Internet Explorer und Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Invocations WebSocket

Establish a WebSocket connection to a hosted agent

GET /agents/{agent_name}/endpoint/protocols/invocations_ws

Establishes a WebSocket connection to a hosted agent. The target agent is a path segment and the project is taken from the endpoint, mirroring the HTTP /invocations route. The service resolves (or creates) a session, resolves the agent version, then relays text and binary frames bidirectionally between the client and the agent (1 MB maximum frame size).

The client must send an HTTP GET with Upgrade: websocket headers.

Pfadparameter

agent_name string Erforderlich

The name of the hosted agent.

Abfrageparameter

agent_session_id string

Optional session/conversation ID. Pass the same value on a subsequent connection to reattach to an existing session. If not provided, the service auto-generates one.

api-version string Erforderlich

The API version to use for this operation.

Antworten

The request has succeeded.

Header

x-agent-session-id string Erforderlich

Session ID for this WebSocket connection. Returns the provided session ID or an auto-generated one if not provided in the request.

Text

Content-Type: application/json

Client error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich
code string | null Erforderlich
message string Erforderlich
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Eines der folgenden Elemente:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string Erforderlich

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error Erforderlich
code string | null Erforderlich
message string Erforderlich
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Eines der folgenden Elemente:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string Erforderlich

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Anfordern

GET /agents/{agent_name}/endpoint/protocols/invocations_ws HTTP/1.1

Antwort

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
de-de
Ihre Datenschutzoptionen
  • KI-Haftungsausschluss
  • Frühere Versionen
  • Blog
  • Mitwirken
  • Datenschutz
  • Consumer Health Privacy
  • Nutzungsbedingungen
  • Impressum
  • Marken
  • © Microsoft 2026